Create a customer address
Adds an address to the authenticated customer's profile.
Header Parameters
Slug of the store or one of its configured domains, such as my-store.
1 <= length <= 253Customer session from POST /v1/customer/sessions. Send it instead of Authorization, never both.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://storefront.ecomiq.pe/v1/customer/addresses" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store" \ -H "X-Customer-Session: <session-id>" \ -H "Content-Type: application/json" \ -d '{ "addressKey": "Andrea Ramos", "countryIsoCode": "PE", "addressLine": "Andrea Ramos", "addressNumber": "Dpto. 501", "department": "Lima", "province": "Lima", "district": "Miraflores", "phone": "+51987654321" }'{ "id": "7204558912004326262"}